Bug 1288747 - VFS5011 device reset after finger wipe
VFS5011 device reset after finger wipe
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libfprint (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 14:49 EST by Frank Büttner
Modified: 2016-12-20 11:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:39:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2015-12-05 14:49:36 EST
Description of problem:
After wipe with the finger over it, the device do an reset.

Version-Release number of selected component (if applicable):
libfprint-0.6.0-2.fc23.x86_64

How reproducible:
When try to unlock the screen or enroll an new finger print.

Steps to Reproduce:
1. call fprintd-enroll
2. Enrolling right-index-finger finger



Actual results:
The green line will light until you move the finger over it.
Then the device will disconnect from the USB bus.

Expected results:
Working finger print sensor like in F21.

Additional info:
The journal log:
Dez 05 20:44:54 foo dbus[1180]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Dez 05 20:44:54 foo systemd[1]: Starting Fingerprint Authentication Daemon...
Dez 05 20:44:54 foo dbus[1180]: [system] Successfully activated service 'net.reactivated.Fprint'
Dez 05 20:44:54 foo fprintd[4561]: ** Message: user 'XXX' claiming the device: 0
Dez 05 20:44:54 foo systemd[1]: Started Fingerprint Authentication Daemon.
Dez 05 20:44:54 foo audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dez 05 20:44:55 foo fprintd[4561]: ** Message: now monitoring fd 14
Dez 05 20:44:55 foo kernel: usb 1-7: reset full-speed USB device number 3 using xhci_hcd
Dez 05 20:44:55 foo fprintd[4561]: ** Message: device 0 claim status 0
Dez 05 20:44:55 foo fprintd[4561]: ** Message: start enrollment device 0 finger 7
Dez 05 20:44:55 foo kernel: xhci_hcd 0000:00:14.0: WARN Event TRB for slot 2 ep 4 with no TDs queued?
Dez 05 20:45:15 foo kernel: xhci_hcd 0000:00:14.0: WARN Event TRB for slot 2 ep 4 with no TDs queued?
Dez 05 20:45:15 foo fprintd[4561]: ** Message: enroll_stage_cb: result 100
Dez 05 20:45:31 foo kernel: usb 1-7: USB disconnect, device number 3
Dez 05 20:45:31 foo fprintd[4561]: ** Message: no longer monitoring fd 14
Dez 05 20:45:31 foo kernel: usb 1-7: new full-speed USB device number 7 using xhci_hcd
Dez 05 20:45:31 foo kernel: usb 1-7: New USB device found, idVendor=138a, idProduct=0017
Dez 05 20:45:31 foo kernel: usb 1-7: New USB device strings: Mfr=0, Product=0, SerialNumber=1
Dez 05 20:45:31 foo kernel: usb 1-7: SerialNumber: XXXX
Dez 05 20:45:31 foo mtp-probe[4574]: checking bus 1, device 7: "/sys/devices/pci0000:00/0000:00:14.0/usb1/1-7"
Dez 05 20:45:31 foo mtp-probe[4574]: bus: 1, device: 7 was not an MTP device
Comment 1 Fedora End Of Life 2016-11-24 08:59:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:39:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.